cascading.flow.planner.rule.transformer

## Class IntermediatePipeElementFactory

- java.lang.Object
- - cascading.flow.planner.rule.transformer.IntermediatePipeElementFactory

All Implemented Interfaces:
  ElementFactory

Direct Known Subclasses:
  FlowPlanner.IdentityElementFactgory

    public abstract class IntermediatePipeElementFactory
    extends Object
    implements ElementFactory

### Field Summary

Fields
`static String` `IDENTITY`

### Constructor Summary

Constructors
Constructor and Description
`IntermediatePipeElementFactory()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface cascading.flow.planner.iso.transformer.ElementFactory

`create`

### Field Detail

#### IDENTITY

    public static final String IDENTITY

See Also:
  Constant Field Values

### Constructor Detail

#### IntermediatePipeElementFactory

    public IntermediatePipeElementFactory()